Subject: RE: [Sip] a question on tags when INVITE is challenged

From: Aby K Samuel <[email-masked]>
Date: Mon, 10 Jan 2005 18:12:17 +0530

Can someone tell me how having the same tag in the From fields of
INVITE(F1) and INVITE(F4), affect a call ??

> 
> Message: 5
> Date: Wed, 5 Jan 2005 07:20:20 -0800 (PST)
> From: Vijay Gaur <[email-masked]>
> Subject: RE: [Sip] a question on tags when INVITE is challenged
> To: Nataraju A B <[email-masked]>,        "'Wang, Jin-Gen'"
>        <[email-masked]>, [email-masked]
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="us-ascii"
> 
> Hi Wang,
>  Vendor1's SIP implementation should not expect same To-tag which is present in 401. There is no dialog established by 401 response. New INVITE with credentials is totaly different request. In fact few SIP implementations might send the same From tag of original INVITE.
> 
> You can see similar call flows in the draft below:
> http://www.iptel.org/info/players/ietf/callflows/draft-ietf-sipping-basic-call-flows-02.txt
> 
> Thanks,
> Vijay Gaur
> 
> Nataraju A B <[email-masked]> wrote:
> Comments inline...
> 
> Best Regards,
> Nataraju A.B.
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Wang, Jin-Gen
> Sent: Wednesday, January 05, 2005 10:45 AM
> To: [email-masked]
> Subject: [Sip] a question on tags when INVITE is challenged
> 
> We are running into an inter-op problem in SIP. It involves the
> interpretation of RFC 3261. Hopefully we can get some input from the
> list. Here is the call flow:
> 
> UAC UAS
> | ----- INVITE (F1) ------> |
> | <--- 401 (F2) ------------ |
> | ------ ACK (F3) ---------> |
> | ------ INVITE (F4) ------> |
> | ............................... |
> | <----- 200 (F5) ---------- |
> | ------- ACK (F6) --------> |
> 
> where INVITE (F1) has no credential and INVITE (F4) has credential.
> 
> The vendor 1 believes INVITE (F1) and INVITE (F4) should have same From
> tag and 401 (F2) and 200 (F5) should have same To tag. The following
> quote from section 22.2 in RFC 3261 indicates F4 is an updated request.
> 
> "When a UAC resubmits a request with its credentials after receiving a
> 401 (Unauthorized) or 407 (Proxy Authentication Required) response,
> it MUST increment the CSeq header field value as it would normally
> when sending an updated request."
> 
> It implicitly indicates that INVITE (F1) and INVITE (F4) are within the
> same dialog for a same call even though the dialog is created after
> INVITE (F4).
> 
> [ABN] this might be confusing text... may needs to be modified...
> 
> The vendor 2 believes INVITE (F1) and INVITE (F4) should have different
> >From tag and/or 401 (F2) and 200 (F5) should have different To tags
> because of the quote from section 19.3 in RFC 3261:
> 
> "When a tag is generated by a UA for insertion into a request or
> response, it MUST be globally unique and cryptographically random
> with at least 32 bits of randomness. A property of this selection
> requirement is that a UA will place a different tag into the From
> header of an INVITE than it would place into the To header of the
> response to the same INVITE. This is needed in order for a UA to
> invite itself to a session, a common case for "hairpinning" of calls
> in PSTN gateways. Similarly, two INVITEs for different calls will
> have different From tags, and two responses for different calls will
> have different To tags."
> 
> Which vendor interprets the tag requirements correctly?
> 
> [ABN] I feel the vendor 2 interprets correctly...
> Once the failure response received for an INVITE request and that
> transaction is closed the session will also be deleted since there are
> no other dialog exists as part of the same session. Hence the
> application (no the user) has to initiate a new session with new from
> tag to send the INVITE (F4) with challenge response...
> 
> Thanks.
> 
> Jin-Gen Wang
> Level3 Communications Inc.
> 1025 Eldorado Blvd.
> Broomfield, CO 80021
> 
> _______________________________________________
> Sip mailing list https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 
> _______________________________________________
> Sip mailing list https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 
> Vijay Gaur
> It's how you deal with failure that determines how you achieve success.
> Au revoir, Adios, Namaste
> 
> ---------------------------------
> Do you Yahoo!?
> Take Yahoo! Mail with you! Get it on your mobile phone.
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: http://www1.ietf.org/pipermail/sip/attachments/20050105/0f235b2f/attachment.htm
> 
> ------------------------------
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 
> End of Sip Digest, Vol 9, Issue 2
> *********************************
>

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Nataraju A B" <[email-masked]>
Date: Mon, 10 Jan 2005 18:32:54 +0530

Best Regards,
Nataraju A.B.
-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Aby K Samuel
Sent: Monday, January 10, 2005 6:12 PM
To: [email-masked]
Subject: RE: [Sip] a question on tags when INVITE is challenged

>  Vendor1's SIP implementation should not expect same To-tag which is
present in 401. There is no dialog established by 401 response. New
INVITE with credentials is totaly different request. In fact few SIP
implementations might send the same From tag of original INVITE.
> You can see similar call flows in the draft below:
http://www.iptel.org/info/players/ietf/callflows/draft-ietf-sipping-basi
c-call-flows-02.txt
> URL:
http://www1.ietf.org/pipermail/sip/attachments/20050105/0f235b2f/attachm
ent.htm